> ## Documentation Index
> Fetch the complete documentation index at: https://docs.machina.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workflow

> Update an existing workflow by its ID.



## OpenAPI

````yaml PUT /workflow/{id}
openapi: 3.0.1
info:
  title: Machina Sports SDK
  description: >-
    Machina Sports API for seamless AI integration in sports, offering real-time
    insights, personalized content, and fan sentiment analysis.
  version: '1.0'
  termsOfService: http://machina.gg/tos/
  contact:
    email: support@machina.gg
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://{api-address}.org.machina.gg
    description: Production server
    variables:
      api-address:
        default: https://api.machina.gg
        description: Your api-address
  - url: http://local.machina:5001
    description: Local development server
security:
  - ApiToken: []
paths:
  /workflow/{id}:
    put:
      tags:
        - workflows
      summary: Update Workflow
      description: Update an existing workflow by its ID.
      operationId: updateWorkflow
      parameters:
        - name: id
          in: path
          required: true
          description: Unique ID of the workflow to update
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  description: Updated display title of the workflow
                description:
                  type: string
                  description: Updated description of the workflow's purpose
                status:
                  type: string
                  enum:
                    - active
                    - inactive
                  description: Updated status of the workflow
                context:
                  type: object
                  description: Updated configuration settings for the workflow
                inputs:
                  type: object
                  description: Updated input parameters for the workflow
                outputs:
                  type: object
                  description: Updated output mappings for the workflow
      responses:
        '200':
          description: Workflow updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                        description: Unique identifier of the workflow
                      name:
                        type: string
                        description: Unique name of the workflow
                      title:
                        type: string
                        description: Display title of the workflow
                      description:
                        type: string
                        description: Description of the workflow's purpose
                      status:
                        type: string
                        enum:
                          - active
                          - inactive
                        description: Current status of the workflow
                      updated:
                        type: string
                        description: Last update timestamp
                  status:
                    type: boolean
                    description: Operation status
        '400':
          description: Invalid request parameters
        '401':
          description: Unauthorized
        '404':
          description: Workflow not found
components:
  securitySchemes:
    ApiToken:
      type: apiKey
      name: x-api-token
      in: header
      description: API key authentication

````